package com.gyee.wisdom.dataadapter.write;

import org.springframework.stereotype.Component;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.IOException;
import java.util.*;

/**
 * @descrition:
 * @author:Wanghs
 * @date:2019-04-26
 */
@Component
public class PointList {
    public static List<String> pintList = new ArrayList();

    public static Map<String,String> mapPoint=new HashMap<>();

    //key为读取点，value为写入点
    public static void MapInit(){
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0001","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0001");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0161","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0161");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0175","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0175");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0081","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0081");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0241","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0241");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0255","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0255");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2259","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2259");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2273","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2273");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2915","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2948");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2995","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3028");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3009","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3042");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1227","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1222");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1355","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1350");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1163","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1158");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1035","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1030");
        mapPoint.put("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0971","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI0966");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1675","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1670");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1611","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1606");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1483","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1478");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1419","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI1414");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2669","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2697");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2605","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2633");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2541","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI2569");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3469","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3497");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3405","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3433");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3341","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3369");
        mapPoint.put("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3277","NXDQDI.NX_GD_SBQF_DQ_P1_L1_001_DI3305");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0376","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI0376");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0194","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI0194");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0858","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI0858");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0192","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI0192");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0530","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI0530");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1554","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1554");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1508","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1508");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1462","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1462");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1646","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1646");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1600","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1600");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1416","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1416");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1370","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1370");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1324","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1324");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1692","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1692");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1278","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1278");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1232","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1232");
        mapPoint.put("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1186","NXDQDI.NX_GD_QSF_DQ_P1_L1_001_DI1186");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0034","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0034");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0308","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0308");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0331","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0331");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0169","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0169");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0192","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0192");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1514","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1514");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0914","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0914");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0849","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0849");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0979","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0979");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1629","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1629");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1368","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1368");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0333","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0333");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0194","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0194");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1501","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1501");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0916","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0916");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0851","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0851");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0981","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI0981");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1631","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1631");
        mapPoint.put("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1369","NXDQDI.NX_GD_XSF_DQ_P1_L1_001_DI1369");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0003","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0003");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0011","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0011");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0019","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0019");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0025","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0025");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0034","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0034");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0040","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0040");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0049","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0049");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0055","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0055");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0070","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0070");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0076","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0076");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0082","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0082");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0088","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0088");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0093","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0093");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1433","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI1433");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0098","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0098");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0104","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0104");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0110","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0110");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0116","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0116");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0121","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0121");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1472","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI1472");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0126","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0126");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0132","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0132");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0138","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0138");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0144","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0144");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI0149","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI0149");
        mapPoint.put("NSSDQN.NX_GD_NSSF_DQ_P1_L1_001_DI1511","NXDQDI.NX_GD_NSSF_DQ_P1_L1_001_DI1511");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0893","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0893");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0940","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0940");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0636","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0636");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0585","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0585");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0534","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0534");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0485","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0485");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0425","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0425");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0365","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0365");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1029","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI1029");
        mapPoint.put("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0985","NXDQDI.NX_GD_MHSF_DQ_P1_L1_001_DI0985");

    }

    public static void pointListInit() {
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0001");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0161");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0175");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0081");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0241");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0255");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2259");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2273");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2948");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3028");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3042");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1222");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1350");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1158");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1030");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0966");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1670");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1606");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1478");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1414");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2697");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2633");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2569");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3497");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3433");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3369");
        pintList.add("SBQDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3305");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0376");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0194");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0858");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0192");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI0530");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1554");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1508");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1462");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1646");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1600");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1416");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1370");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1324");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1692");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1278");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1232");
        pintList.add("QSDQ.NX_GD_QSF_DQ_P1_L1_001_DI1186");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0034");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0308");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0331");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0169");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0192");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1514");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0914");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0849");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0979");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1629");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1368");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0333");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0194");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1501");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0916");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0851");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI0981");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1631");
        pintList.add("XSDQ.NX_GD_XSF_DQ_P1_L1_001_DI1369");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0003");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0011");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0019");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0025");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0034");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0040");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0049");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0055");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0070");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0076");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0082");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0088");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0093");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI1433");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0098");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0104");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0110");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0116");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0121");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI1472");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0126");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0132");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0138");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0144");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI0149");
        pintList.add("NSSDQ.NX_GD_NSSF_DQ_P1_L1_001_DI1511");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0893");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0940");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0636");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0585");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0534");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0485");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0425");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0365");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI1029");
        pintList.add("MHSDQ.NX_GD_MHSF_DQ_P1_L1_001_DI0985");
    }

    public static void readXml() throws IOException {
        PointList l = new PointList();
        String path = l.getClass().getResource("").getPath();

        try {
            String p = path + "/point.xml";
          //  new File(p);
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            DocumentBuilder builder = factory.newDocumentBuilder();
            Document doc = builder.parse(p);
            NodeList nl = doc.getElementsByTagName("point");

            for(int i = 0; i < nl.getLength(); ++i) {
                String pointString = nl.item(i).getFirstChild().getNodeValue();
                pintList.add(pointString);
            }

            System.out.println(pintList.size());
        } catch (Exception var10) {
            System.out.println(var10.getMessage());
        }

    }

}
